{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        //storeConfig:{
        //    Client:{routeName:'BaseController-getComboValues',table:'clients'}
        //    ,ClientG:{routeName:'BaseController-getComboValues',table:'clients'}
        //    ,Employee:{routeName:'Employee-getComboValues',table:'employees',modulename:'Employee',fieldId:'code',fieldDisplay:'name'}
        //    ,EmployeeG:{routeName:'Employee-getComboValues',table:'employees',modulename:'Employee',fieldId:'code',fieldDisplay:'name'}
        //    ,JobRotation:{routeName:'JobRotation-getComboValues',table:'job_rotations'}
        //    ,JobRotationG:{routeName:'JobRotation-getComboValues',table:'job_rotations'}
        //    //,JobRotationTeam:{routeName:'JobRotationTeam-getComboValues',table:'job_rotation_teams'}
        //    //,JobRotationTeamG:{routeName:'JobRotationTeam-getComboValues',table:'job_rotation_teams'}
        //    ,Losttype:{routeName:'LostType-getComboValues',table:'lost_types',limit:250}
        //},
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.windowButtons.add=false;
            t.windowButtons.edit=false;
            const gridConfig = {
                cm: [
                    {header: "{{ 'ClientShadow.code'|trans }}", dataIndex: 'code',width: 150,alias:'c'},
                    {header: "{{ 'ClientShadow.connected'|trans }}", dataIndex: 'connected',renderer:mj.renderer.check(), width: 50,alias:'c'},
                    {header: "{{ 'ClientShadow.ip'|trans }}", dataIndex: 'ip', width: 80,alias:'c'},
                    {header: "{{ 'ClientShadow.pincode'|trans }}", dataIndex: 'pincode', width: 50,alias:'c'},
                    {header: "{{ 'ClientShadow.computername'|trans }}", dataIndex: 'computername', width: 120,alias:'c'},
                    {header: "{{ 'ClientShadow.versionapp'|trans }}", dataIndex: 'versionapp', width: 80,alias:'c'},
                    {header: "{{ 'ClientShadow.versionshell'|trans }}", dataIndex: 'versionshell', width: 80,alias:'c'}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.field({
                        dataIndex: 'version',
                        hidden: true
                    })
                ]
            };
            t._setFormConfig(formConfig);
        },
        editSelectedRecord:function(){
            return;
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
